This mod aims at improving every aspect of the incredible game that is Age of Empires 3 and its expansions. From new civilizations to new units, buildings, technologies, maps, game modes and even soundtracks, the Improvement Mod has been in works since 2009 and it's the perfect choice for players who just want to get the most out of their game without changing it completely.

Report content Improvement Mod version 5.4 (installer)
Filename
improvement_mod_v5.4.exe
Category
Full Version
Uploader
mandosrex
Date
Size
57.94mb (60,751,261 bytes)
Downloads
15,955 (1 today)
MD5 Hash
b457982556bf060b8ebd3c64b1f1c30e
Embed Button
Embed Widget
Description

Every version of this mod should be installed on a fresh, unmodified version of 'Age of Empires 3 The Asian Dynasties' (must also include 'The War Chiefs' and all games must be updated to the latest versions, v1.03 for TAD)! Mostly recommended only if you have any kind of errors or other problems. If you have problems with missing models, sounds or buildings icons then try to re-install 'The War Chiefs'. It has some installation glitches. And if that doesn't work then find out how to fix it at the end of this description. High video settings are recommended for all visual changes to work properly. Please do not 'update' the mod with any rip-offs or other modifications from mods 'designed' to work with this one. To make sure you always have the latest version check out the mod's blog periodically.

Preview
Improvement Mod version 5.4 (installer)
Comments
Prince_Kassad
Prince_Kassad

Awesome, great work, thank you very much. :)

Reply Good karma Bad karma+1 vote
Malibourg
Malibourg

I have a problem , when i launch the improvement mod , i have this message , "Could not located DATAPY.BAR"
I have AOE3, AOE3 WC and AOE3 AD in my computer

Please help me

Reply Good karma Bad karma+1 vote
mandosrex Author
mandosrex

Follow the instructions without mistakes and it will work:
Impmod.blogspot.ro

Reply Good karma+2 votes
☣GenezisO☢
☣GenezisO☢

great mod, really

Reply Good karma Bad karma+1 vote
Phoenixstar117
Phoenixstar117

Mod does not work, the installer says it installs correctly and such, I switch it to the steam directory, but upon activating the launcher it gives me .dll errors.
I found all the .dll's needed and placed them in the directory but now it gives me this error: "The procedure entry point GrannyPWNGT34332VertexType could not be located in the dynamic link library granny2.dll". Any ideas on how to fix this?

Reply Good karma Bad karma+1 vote
mandosrex Author
mandosrex

Yup, completely unninstall and reinstall everything. (a complete unninstallation also means to delete any remaining folders or files left in the Steam directory)

Also DO NOT RUN THE MOD'S PATCHER (AoE3ImpModPatcher.exe) if you have 5.4 and haven't downloaded the newer patcher. You can start the game as you would normally do via its default exe or from Steam.

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

Is it possible to change subtitle language? I have a polish dub and english subtitle after intallation D: It isn't comfortable to listen something and read something different xd .

Reply Good karma Bad karma0 votes
mandosrex Author
mandosrex

This mod is available only in english.

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

Hey if i use this mod would i be able to play multilayer with my friends who also download this mod? or only single player?

Reply Good karma Bad karma0 votes
mandosrex Author
mandosrex

Of course you can play multiplayer, that's where the most fun is!

Reply Good karma+1 vote
Guest
Guest

When will be the next version released. I am bored waiting for updates. I want to see the new features of version 5.5. I really like the mod very much.

Reply Good karma Bad karma-1 votes
mandosrex Author
mandosrex

Uhm, if you're using the mod's patcher then you should get updates like every week... For the past few months I've been releasing updates continuously, changing a lot of stuff.
The patcher connects to a server from where it downloads updates for the mod and I always tell people to use it. Now I'm telling you.

Also, if you use the patcher, when version 5.5 get's released it will be nothing new as every single thing 5.5 contains will be available through the patcher as well.

Reply Good karma+1 vote
GsGBoss2272
GsGBoss2272

I have a question..... Does pizza taste yum. plz answere i really want to know.

Still please answere that question and i want this mod because it looks very cool and all that but i got other mods that i want to try out to and i know it wont work with them and all that, but my question is how are you?? because with all the answeres you've given to all the other people you either seemed to be angry or stressed so how are you in truth??

Reply Good karma Bad karma+1 vote
mandosrex Author
mandosrex

I'll be honest, I don't know. I think I'm just a bit of an *******, and I'm sorry for that.
Still, answering the same questions over and over again, repeating the same stuff continuously just because people don't bother to read a few lines of text or check a blog post, it gets kinda annoying. That's all I ask from my players, they get all of this for free and I only ask for them to pay attention and help me improve the mod.

But even if I am an ******* you should be glad I answer to basically every comment since other modders don't bother that much.
And if it makes you feel any better, the leaders of other AoE3 mods are also kinda ********... XD

I guess the stress of managing a big mod, especially by yourself, gets to you.
And yes, pizza is absolutely delicious, especially since I eat it very rarely.

Reply Good karma+2 votes
GsGBoss2272
GsGBoss2272

It's not you thats the ******* man it's every other person that is for not reading the first couple of comments which pretty much answered exactly what they asked.

and you must be a really good modder to create this with some other people i think?? because i still have no clue on how to create even the simplest mod. + with how people do the mods and explain them they make it seem really easy to make. and true most of the leaders of other mods are ******* when people ask a simple question asking how to unninstall or something because they couldn't be bothered to do a readme or state how to uninstall just makes them more of an *******. one day when i create a really good mod for this game maybe? i hope you try it out...... and im having pizza for dinner.

Reply Good karma Bad karma+1 vote
GsGBoss2272
GsGBoss2272

one small question to (it's not about your mod though) would you happen to know where to find an AI folder?? because the 'AIStandard.xs' or something keeps coming up when i play the game and i dont want to uninstall then re-install because thats a waste of time.

Reply Good karma Bad karma+1 vote
mandosrex Author
mandosrex

Sooo you get an AI error then? With my mod? With a different mod? With the original game?

Reply Good karma+1 vote
GsGBoss2272
GsGBoss2272

never mind i fixed it also i cannot download your mod because this stupid computer doesnt let me. i just had to g to the computer rubbish bin then restor the ai file.

Reply Good karma Bad karma+1 vote
mandosrex Author
mandosrex

Download and install it manually.
Github.com

Reply Good karma+1 vote
renkoha28
renkoha28

hi man really promising mod, i want to try it rigth now but i have some questions before i proceed to installing this thing

1) can i use TWC civs with this?

2) will i lose all of my savegames?

3) is there a similar project for TWC?

4) are there any plan for new campaings?

5) i know you've said this lots of times but i have another mod installed called age of dynasties, still needs a bit of work but is relatively good, the files are in aoe3 collection folder but it was installed as a separate game mode thus no savegames or progess are shared with any of the original games, can i have both mods this way?

Reply Good karma Bad karma+1 vote
renkoha28
renkoha28

hi man i installed the mod and everything went perfect but i have a problem with the pactcher, i have it in desktop do i need to have it in game folder? becuase it says failure grabing master server list

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Icon
Age of Empires III: The Asian Dynasties
Creator
mandosrex
Contact
Send Message
Release date
Mod watch
Start tracking
File
Browse
Files
Share
Related Games